/**
 * User Websocket requests route
 * 
 * Note : this implementation requires the
 * user to be signed in to perform requests
 * 
 * @author Pierre Hubert
 */

import { UserWebSocketRequestsHandler } from "../entities/WebSocketRequestHandler";

export interface UserWebSocketRoute {
	title: string,
	handler: (h: UserWebSocketRequestsHandler) => Promise<void>
}

export const UserWebSocketRoutes: UserWebSocketRoute[] = []